## slurm-wlm 23.11.4

=== alps_tests/mpp_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = mpp_inventory
MAIN   = main.c
SRCS   = $(filter-out $(MAIN),$(wildcard *.c))
OBJS   = $(SRCS:.c=.o)

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
%.o : %.c $(INCDIR)/basil_alps.h
	$(CC) $(CFLAGS) -c $< -o $@

all: $(TARGET)
	time ./$<

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	
$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(dir $(ALPSLIB))

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== sdb_tests/client_version/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.

# Compiler flags
CC     = gcc
RM     = rm -vf
CFLAGS = $(shell mysql_config --cflags)
CFLAGS += -Wall -Werror -g #-pedantic
LDLIBS = $(shell mysql_config --libs)

# File dependencies
SRC = $(wildcard *.c)
APP = $(SRC:.c=)

.PHONY: all clean
all: test
	
test: $(APP)
	./$<

$(APP): $(SRC)
	$(CC) $(DEFS) $(CFLAGS) $< $(LDLIBS) -o $@


clean: 
	@$(RM) *~ *.o a.out core tags $(APP)

=== sdb_tests/tuxadmin/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
MAIN = tuxadmin.c list_all_torus_positions.c test_hilbert_inverse.c
OBJS = cmdline.o

all: check

include ../build.mk

CFLAGS	+= -I.
LDLIBS  += -lexpat

check: check-tuxadmin check-hilbert-inverse

check-tuxadmin: tuxadmin
	./$< -h

check-hilbert-inverse: test_hilbert_inverse
	./$< >/dev/null

tuxadmin.c: cmdline.h
cmdline.o : cmdline.c cmdline.h 
	$(CC) -Wall -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

install: tuxadmin
	@strip $<
	sudo scp $< boot:/rr/current/opt/slurm/default/bin/$<

distclean: clean
	@$(RM) cmdline.c cmdline.h
	@rcsclean

=== debian/changelog ===
slurm-wlm (23.11.4-1.2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:45:33 +1100

slurm-wlm (23.11.4-1.2ubuntu4) noble; urgency=medium

  * Remove debian/plugin_packages*filelist, which are also generated files
    and cause a misbuild on !amd64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 05:30:27 +0000

slurm-wlm (23.11.4-1.2ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:02:59 +0000

slurm-wlm (23.11.4-1.2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:46 +0000

slurm-wlm (23.11.4-1.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:26:57 +0100

slurm-wlm (23.11.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous files from debian that are not handled by the package
    clean target, and caused build failures on !amd64.  Closes: #1065225.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 20:11:29 +0000

slurm-wlm (23.11.4-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:38:10 +0100

slurm-wlm (23.11.4-1.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:12:54 +0100

slurm-wlm (23.11.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062903

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:19:10 +0000

slurm-wlm (23.11.4-1) unstable; urgency=medium

  * New upstream release
  * Remove debian sackd man page
  * Remove fix-typos patch

 -- Gennaro Oliva <oliva@debian.org>  Sun, 25 Feb 2024 22:26:05 +0100

=== debian/control ===
Source: slurm-wlm
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Rémi Palancher <remi@rezib.org>,
           Mehdi Dogguy <mehdi@debian.org>,
           Gennaro Oliva <oliva@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper (>= 13),
 libmunge-dev,
 libncurses-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html,
 libcurl4-openssl-dev,
 libpmix-dev,
 libhttp-parser-dev,
 libyaml-dev,
 libjson-c-dev,
 libjwt-dev,
 liblz4-dev,
 bash-completion,
 libdbus-1-dev,
 librdkafka-dev,
 librocm-smi-dev
Standards-Version: 4.6.2
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Description: Slurm Workload Manager
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This metapackage contains all client side commands, the compute node daemon
 and the central management daemon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 ucf
Conflicts: sinfo (<< 0.0.47-4)
Description: Slurm client side commands
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains all client side commands.

Package: slurmrestd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Slurm REST API daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the REST API daemon slurmrestd.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
Pre-Depends: ${misc:Pre-Depends}
Description: Slurm compute node daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the compute node daemon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
Pre-Depends: ${misc:Pre-Depends}
Description: Slurm central management daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the central management daemon slurmctld.

Package: libslurm40t64
Provides: ${t64:Provides}
Replaces: libslurm40
Breaks: libslurm40 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for Slurm
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm runtime library.

Package: libpmi0t64
Provides: ${t64:Provides}
Replaces: libpmi0
Breaks: libpmi0 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-wlm-basic-plugins (= ${binary:Version}),
Description: Slurm PMI library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI runtime implementation.

Package: libpmi2-0t64
Provides: ${t64:Provides}
Replaces: libpmi2-0
Breaks: libpmi2-0 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slurm PMI2 library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm40t64 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Breaks: libslurmdb-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
Description: Slurm development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains Slurm static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0t64 (= ${binary:Version}),
 libslurm40t64 (= ${binary:Version})
Description: Slurm PMI library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0t64 (= ${binary:Version}),
 libslurm40t64 (= ${binary:Version})
Description: Slurm PMI2 library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Slurm documentation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser
Recommends: slurm-wlm-plugins (= ${binary:Version}),
Description: Slurm basic plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Recommends: slurm-wlm-plugins-dev (= ${binary:Version}),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: Slurm basic plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains development files for the Slurm basic plugins

Package: slurm-wlm-plugins
Architecture: any
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version}),
 slurm-wlm-influxdb-plugin (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version}),
 slurm-wlm-jwt-plugin (= ${binary:Version}),
 slurm-wlm-rrd-plugin (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 slurm-wlm-rsmi-plugin (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides all the free Slurm plugins.

Package: slurm-wlm-plugins-dev
Architecture: any
Depends:
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin-dev (= ${binary:Version}),
 slurm-wlm-influxdb-plugin-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins-dev (= ${binary:Version}),
 slurm-wlm-jwt-plugin-dev (= ${binary:Version}),
 slurm-wlm-rrd-plugin-dev (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 slurm-wlm-rsmi-plugin-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins development files (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides development files for all the free SLURM plugins.

Package: slurm-wlm-ipmi-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1)
Description: Slurm IPMI plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the IPMI-based Slurm accounting gathering
 plugins.

Package: slurm-wlm-ipmi-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm IPMI plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains development files for the IPMI-based Slurm
 accounting gathering plugins.

Package: slurm-wlm-hdf5-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
Description: Slurm HDF5 plugin
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the HDF5-based Slurm job profiling plugin.

Package: slurm-wlm-hdf5-plugin-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm HDF5 plugin development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

# Getting the list of the plugins packages excluding the basic package
PLUGIN_PACKAGES_LIST := $(shell grep '^Package' debian/control | grep -o 'slurm-wlm-.*-plugin\(s\)\?$$')
PLUGIN_PACKAGES_LIST := $(filter-out slurm-wlm-basic-plugins,$(PLUGIN_PACKAGES_LIST))


# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_TARGET_ARCH_BITS),64)
  ENABLEDEPRECATED = --enable-deprecated
endif

%:
	dh $@ --builddirectory --with bash-completion

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rvf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_shlibdeps:
	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/

override_dh_auto_install:
	dh_auto_install
	
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv -v debian/tmp/usr/share/man/man7/slurm.7 debian/tmp/usr/share/man/man7/slurm-wlm.7
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libpam-slurm-adopt pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam_slurm_adopt install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI2 pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp

	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`

	# Rename mpiexec to mpiexec.slurm
	mv -v debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm

	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes \
		debian/tmp/usr/bin/mpiexec.slurm \
		debian/tmp/usr/bin/q*; do \
			pod2man -v $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Remove embedded jquery.min.js
	rm -fv debian/tmp/usr/share/doc/slurm-wlm/html/jquery.min.js

	# Rename the header files directory to slurm
	mv -v debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm

	# Rename binaries that are also in the slurm-wlm-emulator
	mv -v debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv -v debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv -v debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv -v debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv -v debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv -v debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv -v debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv -v debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv -v debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv -v debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv -v debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv -v debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv -v debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv -v debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv -v debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv -v debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv -v debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv -v debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv -v debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv -v debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

	ls debian/tmp/usr/lib/*/slurm-wlm/*.so | sort > debian/all_plugins_filelist

	for f in $(PLUGIN_PACKAGES_LIST) ; do \
		ls $$(cat debian/$$f.install | sed "s/^/debian\/tmp\//") ; \
	done | sort >> debian/plugin_packages_filelist

	comm -23 debian/all_plugins_filelist debian/plugin_packages_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins.install

	ls debian/tmp/usr/lib/*/slurm-wlm/*.a debian/tmp/usr/lib/*/slurm-wlm/*.la | sort > debian/all_plugins_dev_filelist

	for f in $(PLUGIN_PACKAGES_LIST) ; do \
		ls $$(cat debian/$$f-dev.install | sed "s/^/debian\/tmp\//") ; \
	done | sort >> debian/plugin_packages_dev_filelist

	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install

override_dh_strip:
	dh_strip -plibslurm40t64
	dh_strip -plibpmi0t64 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
	dh_strip -plibpmi2-0t64 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-elasticsearch-plugin
	dh_strip -pslurm-wlm-hdf5-plugin
	dh_strip -pslurm-wlm-influxdb-plugin
	dh_strip -pslurm-wlm-ipmi-plugins
	dh_strip -pslurm-wlm-jwt-plugin
	dh_strip -pslurm-wlm-rrd-plugin
	dh_strip -pslurm-wlm-mysql-plugin
	dh_strip -pslurm-wlm-rsmi-plugin
	dh_strip -pslurm-wlm-kafka-plugin
	dh_strip -psackd
	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
	dh_strip -pslurm-client-emulator
	dh_strip -pslurm-wlm-emulator
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
	dh_strip -plibslurm-perl --no-automatic-dbgsym
	dh_strip -psview --no-automatic-dbgsym
	dh_strip -plibpam-slurm --no-automatic-dbgsym

=== debian/tests/control ===
Tests: srun
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sbatch
Features: no-build-needed,isolation-container
Restrictions: needs-root, flaky
Depends: slurmctld, slurmd, slurm-client

Tests: sacct
Features: no-build-needed,isolation-container
Restrictions: needs-root, allow-stderr
Depends: slurmctld, slurmd, slurm-client, slurmdbd, mariadb-client, mariadb-server

Tests: mpi
Features: no-build-needed,isolation-container
Restrictions: needs-root, allow-stderr
Depends: slurmctld, slurmd, slurm-client, mpi-default-dev, gcc, mpich-doc

## slurm-wlm 23.11.7

=== debian/changelog ===
slurm-wlm (23.11.7-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.7.0 (no changes)
  * Update libslurm symbols file
  * Refresh miscellanea-manpages patch

 -- Gennaro Oliva <oliva@debian.org>  Wed, 22 May 2024 22:39:00 +0200

slurm-wlm (23.11.6-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Update libslurm symbols file (Closes: #1070898)
  * Send SIGUSR2 to daemon in postrotate
  * Set delaycompress for logrotates (Closes: #1056122)
  * Add libpmix2 dependency for basic plugin (Closes: #1059711)

  [ Benjamin Drung ]
  * Restore /etc/slurm/plugstack.conf in slurm-wlm-basic-plugins.
  Make the build more robust by always generating
  `slurm-wlm-basic-plugins.install` from scratch. Restore
  `/etc/slurm/plugstack.conf` by putting it into a `.install.in` file that
  is copied into the `.install` file in the beginning.

  [ Michael Biebl ]
  * Drop libpam dev packages
  * Install PAM modules into multiarch path in /usr (Closes: #1064109)

 -- Gennaro Oliva <oliva@debian.org>  Thu, 09 May 2024 23:27:28 +0200

slurm-wlm (23.11.4-2) unstable; urgency=medium

  * Team upload.
  * d/clean: remove debian/plugin_packages{_dev_,_}filelist
    and remove them from our VCS & source package as well.
    Closes: #1069724.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Apr 2024 15:35:55 +0200

slurm-wlm (23.11.4-1.4) unstable; urgency=medium

  * Non-maintainer upload
  * Remove references to --with-pmix on 32-bit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 09:58:28 +0100

slurm-wlm (23.11.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Only use libpmix on 64-bit architectures.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 08:10:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva@debian.org>,
@@ -28,7 +27,7 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
- libpmix-dev,
+ libpmix-dev [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
@@ -38,7 +37,7 @@
  libdbus-1-dev,
  librdkafka-dev,
  librocm-smi-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -220,6 +219,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libpmix2t64,
  adduser
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
@@ -341,4 +341,3 @@
 Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
- job scheduling system that strives to be simple, scalable, portable,

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
   ENABLEDEPRECATED = --enable-deprecated
 endif
 
+# PMIX is now only available on 64-bit systems
+PMIX_ARCH:= amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64
+PMIX:=    $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)), --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2, )
+
 %:
 	dh $@ --builddirectory --with bash-completion
 
@@ -32,8 +36,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(PMIX) --with-pam_dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd $(PMIX) --with-pam_dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator
@@ -121,6 +125,7 @@
 		ls $$(cat debian/$$f.install | sed "s/^/debian\/tmp\//") ; \
 	done | sort >> debian/plugin_packages_filelist
 
+	cp debian/slurm-wlm-basic-plugins.install.in debian/slurm-wlm-basic-plugins.install
 	comm -23 debian/all_plugins_filelist debian/plugin_packages_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins.install
 
 	ls debian/tmp/usr/lib/*/slurm-wlm/*.a debian/tmp/usr/lib/*/slurm-wlm/*.la | sort > debian/all_plugins_dev_filelist
@@ -149,11 +154,3 @@
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
 	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
 	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
-	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
-	dh_strip -pslurm-client-emulator
-	dh_strip -pslurm-wlm-emulator
-	# we do not care about debug symbols for those pkgs
-	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
-	dh_strip -plibslurm-perl --no-automatic-dbgsym
-	dh_strip -psview --no-automatic-dbgsym
-	dh_strip -plibpam-slurm --no-automatic-dbgsym

## slurm-wlm 24.05.1

=== debian/changelog ===
slurm-wlm (24.05.1-2) unstable; urgency=medium

  * Specify not-installed entries with wildcards

 -- Gennaro Oliva <oliva@debian.org>  Tue, 23 Jul 2024 11:43:19 +0200

slurm-wlm (24.05.1-1) unstable; urgency=medium

  * New upstream major release
  * Fix typos
  * Fix libpmix2t64 dependency (Closes: #1074384)
  * Bump SONAME to 41 and update symbols
  * Fix libslurm-perl package
  * Remove smd_ns.h from libslurm-dev
  * Update copyright
  * Remove ext_sensors/rrd plugin
  * Refresh patches

 -- Gennaro Oliva <oliva@debian.org>  Mon, 22 Jul 2024 09:14:39 +0200

## slurm-wlm 24.05.2

=== debian/changelog ===
slurm-wlm (24.05.2-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Sat, 03 Aug 2024 05:05:50 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  liblua5.1-0-dev,
  libhwloc-dev,
  dh-exec,
- librrd-dev,
  libipmimonitoring-dev,
  hdf5-helpers,
  libfreeipmi-dev,
@@ -113,10 +112,10 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm40t64
+Package: libslurm41t64
 Provides: ${t64:Provides}
-Replaces: libslurm40
-Breaks: libslurm40 (<< ${source:Version})
+Replaces: libslurm41
+Breaks: libslurm41 (<< ${source:Version})
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -161,7 +160,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm40t64 (= ${binary:Version})
+ libslurm41t64 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -178,7 +177,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0t64 (= ${binary:Version}),
- libslurm40t64 (= ${binary:Version})
+ libslurm41t64 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -193,7 +192,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0t64 (= ${binary:Version}),
- libslurm40t64 (= ${binary:Version})
+ libslurm41t64 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -219,7 +218,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libpmix2t64,
+ libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
  adduser
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
@@ -251,7 +250,6 @@
  slurm-wlm-influxdb-plugin (= ${binary:Version}),
  slurm-wlm-ipmi-plugins (= ${binary:Version}),
  slurm-wlm-jwt-plugin (= ${binary:Version}),
- slurm-wlm-rrd-plugin (= ${binary:Version}),
  slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
  slurm-wlm-rsmi-plugin (= ${binary:Version}),
  ${misc:Depends},
@@ -270,7 +268,6 @@
  slurm-wlm-influxdb-plugin-dev (= ${binary:Version}),
  slurm-wlm-ipmi-plugins-dev (= ${binary:Version}),
  slurm-wlm-jwt-plugin-dev (= ${binary:Version}),
- slurm-wlm-rrd-plugin-dev (= ${binary:Version}),
  slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
  slurm-wlm-rsmi-plugin-dev (= ${binary:Version}),
  ${misc:Depends},
@@ -341,3 +338,4 @@
 Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
+ job scheduling system that strives to be simple, scalable, portable,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
+export PERL_ARCHLIB := /usr/$(shell perl -e 'use Config; $$T=$$Config{installsitearch}; $$P=$$Config{installprefix}; $$P1="$P/local"; $$T =~ s/$$P1//; $$T =~ s/$$P//; print $$T;')
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
 
 # Getting the list of the plugins packages excluding the basic package
@@ -137,7 +137,7 @@
 	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install
 
 override_dh_strip:
-	dh_strip -plibslurm40t64
+	dh_strip -plibslurm41t64
 	dh_strip -plibpmi0t64 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0t64 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -146,7 +146,6 @@
 	dh_strip -pslurm-wlm-influxdb-plugin
 	dh_strip -pslurm-wlm-ipmi-plugins
 	dh_strip -pslurm-wlm-jwt-plugin
-	dh_strip -pslurm-wlm-rrd-plugin
 	dh_strip -pslurm-wlm-mysql-plugin
 	dh_strip -pslurm-wlm-rsmi-plugin
 	dh_strip -pslurm-wlm-kafka-plugin

## slurm-wlm 24.05.4

=== debian/changelog ===
slurm-wlm (24.05.4-1) unstable; urgency=medium

  * New upstream release fixes CVE-2024-48936 (Closes: 1086003)
  * Update libslurm symbols file
  * Fix not-installed
  * Remove unused overrides

 -- Gennaro Oliva <oliva@debian.org>  Wed, 06 Nov 2024 22:43:30 +0100

## slurm-wlm 24.11.0

=== debian/changelog ===
slurm-wlm (24.11.0-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva@debian.org>  Tue, 24 Dec 2024 08:15:02 +0100

slurm-wlm (24.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump SONAME to 42 and update symbols
  * Remove useless Replaces/Breaks libslurm41
  * Refresh patches
  * Add sackd.default (Closes: #1087927)
  * Update copyright
  * Fix so perms to allow rootless builds (Closes: #1089437)

 -- Gennaro Oliva <oliva@debian.org>  Sun, 15 Dec 2024 01:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -112,10 +112,8 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm41t64
+Package: libslurm42t64
 Provides: ${t64:Provides}
-Replaces: libslurm41
-Breaks: libslurm41 (<< ${source:Version})
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -160,7 +158,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -177,7 +175,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0t64 (= ${binary:Version}),
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -192,7 +190,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0t64 (= ${binary:Version}),
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -339,3 +337,5 @@
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
+ fault-tolerant, and interconnect agnostic.
+ .

## slurm-wlm 24.11.1

=== debian/changelog ===
slurm-wlm (24.11.1-1) unstable; urgency=medium

  * New upstream release

  [ Tobias Pape ]
  * Fix plugin dependencies

 -- Gennaro Oliva <oliva@debian.org>  Wed, 29 Jan 2025 22:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -248,7 +248,7 @@
  slurm-wlm-influxdb-plugin (= ${binary:Version}),
  slurm-wlm-ipmi-plugins (= ${binary:Version}),
  slurm-wlm-jwt-plugin (= ${binary:Version}),
- slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
+ slurm-wlm-mysql-plugin (= ${binary:Version}),
  slurm-wlm-rsmi-plugin (= ${binary:Version}),
  ${misc:Depends},
 Description: Slurm free plugins (metapackage)

## slurm-wlm 24.11.3

=== debian/changelog ===
slurm-wlm (24.11.3-2) unstable; urgency=medium

  * Fix librocm-smi-dev dependency

 -- Gennaro Oliva <oliva@debian.org>  Thu, 13 Mar 2025 21:13:38 +0100

slurm-wlm (24.11.3-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * RSMI plugin depends on librocm-smi-dev (Closes: #1094164)
  * Fix sacct test
  * Restrict mpi test on pmix supported architectures

  [ Yiyang Wu ]
  * Fix slurmctld init.d script (Closes: #1090031)

 -- Gennaro Oliva <oliva@debian.org>  Tue, 11 Mar 2025 22:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  libdbus-1-dev,
  librdkafka-dev,
  librocm-smi-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	
 	# run make install for libslurm[db]-perl pkgs
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
+	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chmod u+rwX
 	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
 	
 	# run make install for slurm-wlm-torque pkg
@@ -137,7 +138,7 @@
 	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install
 
 override_dh_strip:
-	dh_strip -plibslurm41t64
+	dh_strip -plibslurm42t64
 	dh_strip -plibpmi0t64 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0t64 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -152,4 +153,3 @@
 	dh_strip -psackd
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
 	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
-	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'

## slurm-wlm 24.11.5

=== debian/changelog ===
slurm-wlm (24.11.5-4) unstable; urgency=medium

  * Move adduser to postinst

 -- Gennaro Oliva <oliva@debian.org>  Sun, 13 Jul 2025 19:39:23 +0200

slurm-wlm (24.11.5-3) unstable; urgency=medium

  [ Gábor Németh ]
  * Fix preinst adduser (Closes: #1104573)

 -- Gennaro Oliva <oliva@debian.org>  Fri, 27 Jun 2025 14:36:03 +0200

slurm-wlm (24.11.5-2) unstable; urgency=medium

  * Binary upload for contrib

 -- Gennaro Oliva <oliva@debian.org>  Fri, 13 Jun 2025 08:21:08 +0200

slurm-wlm (24.11.5-1) unstable; urgency=medium

  * New upstream release fix CVE-2025-4390 (Closes: #1104929)

 -- Gennaro Oliva <oliva@debian.org>  Tue, 20 May 2025 10:30:14 +0200

=== debian/control ===
--- 
+++ 
@@ -213,11 +213,12 @@
 
 Package: slurm-wlm-basic-plugins
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
- adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ adduser | systemd-sysusers,
+ libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64]
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
  The Slurm Workload Manager is an open-source cluster resource management and
@@ -337,5 +338,3 @@
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
- fault-tolerant, and interconnect agnostic.
- .

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	dh_installsysusers # needed until DH compat 14
 	
 	# Rename slurm(1) manpage before dh_installman run. It is not possible
 	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
@@ -152,4 +153,3 @@
 	dh_strip -pslurm-wlm-kafka-plugin
 	dh_strip -psackd
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
-	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 Tests: sbatch
 Features: no-build-needed,isolation-container
-Restrictions: needs-root, flaky
+Restrictions: needs-root
 Depends: slurmctld, slurmd, slurm-client
 
 Tests: sacct
@@ -17,3 +17,4 @@
 Features: no-build-needed,isolation-container
 Restrictions: needs-root, allow-stderr
 Depends: slurmctld, slurmd, slurm-client, mpi-default-dev, gcc, mpich-doc
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64

## slurm-wlm 25.05.4

=== debian/changelog ===
slurm-wlm (25.05.4-1) unstable; urgency=medium

  * New upstream major release
  * Bump libslurm to soname 43
  * Update d/copyright
  * Remove patches added upstream
  * Refresh patches
  * Update slurm-wlm docs
  * Add topology.yaml manpage
  * Update emulator lintian overrides
  * Remove d/compat
  * Fix sackd.8 manpage
  * Update lintian-overrides
  * Update d/watch file to version 5
  * Use mpirun and not srun pmix to test mpi

 -- Gennaro Oliva <oliva@debian.org>  Mon, 27 Oct 2025 00:52:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Gennaro Oliva <oliva@debian.org>,
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper (>= 13),
+ debhelper-compat (= 13),
  libmunge-dev,
  libncurses-dev,
  po-debconf,
@@ -112,7 +113,7 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm42t64
+Package: libslurm43t64
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -158,7 +159,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -175,7 +176,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0t64 (= ${binary:Version}),
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -190,7 +191,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0t64 (= ${binary:Version}),
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -217,7 +218,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- adduser | systemd-sysusers,
+ systemd-sysusers | adduser,
  libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64]
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins

=== debian/rules ===
--- 
+++ 
@@ -139,7 +139,7 @@
 	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install
 
 override_dh_strip:
-	dh_strip -plibslurm42t64
+	dh_strip -plibslurm43t64
 	dh_strip -plibpmi0t64 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0t64 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'

=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
 
 Tests: mpi
 Features: no-build-needed,isolation-container
-Restrictions: needs-root, allow-stderr
+Restrictions: needs-sudo, allow-stderr
 Depends: slurmctld, slurmd, slurm-client, mpi-default-dev, gcc, mpich-doc
 Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64

=== debian/watch ===
Version: 5
Source: https://github.com/SchedMD/slurm/tags
Matching-Pattern: .*/slurm-([\d-]*)\.tar\.gz
Uversion-Mangle: s/-1$//;s/\-/./g
